<?php
/*********************/
/*                   */
/*  Version : 5.1.0  */
/*  Author  : RM     */
/*  Comment : 071223 */
/*                   */
/*********************/

class td_class
{

    var $ativareset = false;
    var $ativalimparpk = false;
    var $ativadistribuirpontos = false;
    var $ativamudarnick = false;
    var $ativamudarclasse = false;
    var $ativamovermapa = false;
    var $ativalimparinventorio = false;
    var $ativaredistribuir = false;
    var $ativalimparmagias = false;
    var $ativacriarchar = false;
    var $ativalimparbau = false;
    var $ativaconfirmarpagamento = false;
    var $ativadenunciarchar = false;
    var $ativacriarguild = false;
    var $ativaconsertarpontos = false;
    var $ativadeletarchar = false;
    var $ativaquemlogou = false;
    var $ativagerenciarguild = false;
    var $ativatrocarbau = false;
    var $ativaresetao = false;
    var $ativamudarsenha = false;
    var $valorreset = 0;
    var $pontoreset = 0;
    var $minlvlreset = 0;
    var $voltalevelreset = 0;
    var $voltapontoreset = 0;
    var $preco_limpapk = 0;
    var $quantidade_bau = 0;
    var $pontos_consertar = 0;
    var $pontos_consertar_return = 0;
    var $pontos_resetao = 0;
    var $md5 = 0;
    var $colunavip;
    var $colunacreditos;
    var $colunaresetao;
    var $colunagolds;
    var $colunaresets;

    function td_class( )
    {
        include( "config.php" );
        $this->md5 = $config['md5'];
    }

    function getcookie( $nome, $variavel )
    {
        setcookie( $nome, $variavel, time( ) + 1200 );
    }

    function checkcookie( )
    {
        if ( !isset( $_SESSION['login_site'] ) )
        {
            exit( "<script>alert('Somente pessoas logadas'); window.parent.location.href='".$paginaprincipal."';</script>" );
        }
        if ( isset( $_SESSION['login_site'] ) )
        {
            $mid = $_SESSION['login_site'];
            return $mid;
        }
    }

    function checkcookiechar( )
    {
        if ( isset( $_SESSION['character'] ) )
        {
            $char = $_SESSION['character'];
            return $char;
        }
    }

    function verificavip( $login )
    {
        $qVerificaVip = @mssql_query( "SELECT vip FROM MEMB_INFO WHERE memb___id='".$login."'" );
        $VerificaVip = @mssql_result( $qVerificaVip, 0, 0 );
        return $VerificaVip;
    }

    function carregainformacoespainel( $conta )
    {
        include( "config/vip.php" );
        $tipovip = $this->verificavip( $conta );
        if ( $Vip['resetar'] <= $tipovip )
        {
            $this->ativareset = true;
        }
        else
        {
            $this->ativareset = false;
        }
        if ( $Vip['reset_dinamico'] == 1 )
        {
            $this->ativaresetdinamico = true;
        }
        else
        {
            $this->ativaresetdinamico = false;
        }
        if ( $Vip['limpark'] <= $tipovip )
        {
            $this->ativalimparpk = true;
        }
        else
        {
            $this->ativalimparpk = false;
        }
        if ( $Vip['distribuirpontos'] <= $tipovip )
        {
            $this->ativadistribuirpontos = true;
        }
        else
        {
            $this->ativadistribuirpontos = false;
        }
        if ( $Vip['mudarnick'] <= $tipovip )
        {
            $this->ativamudarnick = true;
        }
        else
        {
            $this->ativamudarnick = false;
        }
        if ( $Vip['mudarclasse'] <= $tipovip )
        {
            $this->ativamudarclasse = true;
        }
        else
        {
            $this->ativamudarclasse = false;
        }
        if ( $Vip['movermapa'] <= $tipovip )
        {
            $this->ativamovermapa = true;
        }
        else
        {
            $this->ativamovermapa = false;
        }
        if ( $Vip['limparinventorio'] <= $tipovip )
        {
            $this->ativalimparinventorio = true;
        }
        else
        {
            $this->ativalimparinventorio = false;
        }
        if ( $Vip['redistribuirpontos'] <= $tipovip )
        {
            $this->ativaredistribuir = true;
        }
        else
        {
            $this->ativaredistribuir = false;
        }
        if ( $Vip['limparlistademagias'] <= $tipovip )
        {
            $this->ativalimparmagias = true;
        }
        else
        {
            $this->ativalimparmagias = false;
        }
        if ( $Vip['criarchar'] <= $tipovip )
        {
            $this->ativacriarchar = true;
        }
        else
        {
            $this->ativacriarchar = false;
        }
        if ( $Vip['limparbau'] <= $tipovip )
        {
            $this->ativalimparbau = true;
        }
        else
        {
            $this->ativalimparbau = false;
        }
        if ( $Vip['confirmarpagamento'] <= $tipovip )
        {
            $this->ativaconfirmarpagamento = true;
        }
        else
        {
            $this->ativaconfirmarpagamento = false;
        }
        if ( $Vip['denunciarchar'] <= $tipovip )
        {
            $this->ativadenunciarchar = true;
        }
        else
        {
            $this->ativadenunciarchar = false;
        }
        if ( $Vip['criarguild'] <= $tipovip )
        {
            $this->ativacriarguild = true;
        }
        else
        {
            $this->ativacriarguild = false;
        }
        if ( $Vip['consertarpontos'] <= $tipovip )
        {
            $this->ativaconsertarpontos = true;
        }
        else
        {
            $this->ativaconsertarpontos = false;
        }
        if ( $Vip['deletarchar'] <= $tipovip )
        {
            $this->ativadeletarchar = true;
        }
        else
        {
            $this->ativadeletarchar = false;
        }
        if ( $Vip['quemlogou'] <= $tipovip )
        {
            $this->ativaquemlogou = true;
        }
        else
        {
            $this->ativaquemlogou = false;
        }
        if ( $Vip['gerenciarguild'] <= $tipovip )
        {
            $this->ativagerenciarguild = true;
        }
        else
        {
            $this->ativagerenciarguild = false;
        }
        if ( $Vip['trocarbau'] <= $tipovip )
        {
            $this->ativatrocarbau = true;
        }
        else
        {
            $this->ativatrocarbau = false;
        }
        if ( $Vip['resetao'] <= $tipovip )
        {
            $this->ativaresetao = true;
        }
        else
        {
            $this->ativaresetao = false;
        }
        if ( $Vip['ativamudarsenha'] <= $tipovip )
        {
            $this->ativamudarsenha = true;
        }
        else
        {
            $this->ativamudarsenha = true;
        }
        if ( $tipovip == 0 )
        {
            $this->minlvlreset = $Vip['minlvl_reset_free'];
            $this->voltalevelreset = $Vip['return_reset_free'];
            $this->valorreset = $Vip['preco_reset_free'];
            $this->voltapontoreset = $Vip['return_ponto_free'];
            if ( $this->ativaresetdinamico == false )
            {
                $this->pontoreset = $Vip['pontos_reset_free'];
            }
            if ( $this->ativaresetdinamico == true )
            {
                $pontoreset[0] = $Vip['reset_01_a_50_pontos_free'];
                $pontoreset[1] = $Vip['reset_51_a_150_pontos_free'];
                $pontoreset[2] = $Vip['reset_151_a_200_pontos_free'];
                $pontoreset[3] = $Vip['reset_201_a_250_pontos_free'];
                $pontoreset[4] = $Vip['reset_251_a_300_pontos_free'];
                $pontoreset[5] = $Vip['reset_apos_300_pontos_free'];
            }
            $this->preco_limpapk = $Vip['preco_limpapk_free'];
            $this->quantidade_bau = $Vip['quantidade_bau_free'];
            $this->pontos_resetao = $Vip['pontos_resetao_free'];
        }
        if ( $tipovip == 1 )
        {
            $this->valorreset = $Vip['preco_reset_vip1'];
            $this->minlvlreset = $Vip['minlvl_reset_vip1'];
            $this->voltalevelreset = $Vip['return_reset_vip1'];
            $this->voltapontoreset = $Vip['return_ponto_vip1'];
            if ( $this->ativaresetdinamico == false )
            {
                $this->pontoreset = $Vip['pontos_reset_vip1'];
            }
            if ( $this->ativaresetdinamico == true )
            {
                $pontoreset[0] = $Vip['reset_01_a_50_pontos_vip1'];
                $pontoreset[1] = $Vip['reset_51_a_150_pontos_vip1'];
                $pontoreset[2] = $Vip['reset_151_a_200_pontos_vip1'];
                $pontoreset[3] = $Vip['reset_201_a_250_pontos_vip1'];
                $pontoreset[4] = $Vip['reset_251_a_300_pontos_vip1'];
                $pontoreset[5] = $Vip['reset__apos_300_pontos_vip1'];
            }
            $this->preco_limpapk = $Vip['preco_limpapk_vip1'];
            $this->quantidade_bau = $Vip['quantidade_bau_vip1'];
            $this->pontos_resetao = $Vip['pontos_resetao_vip1'];
        }
        if ( $tipovip == 2 )
        {
            $this->valorreset = $Vip['preco_reset_vip2'];
            $this->minlvlreset = $Vip['minlvl_reset_vip2'];
            $this->voltalevelreset = $Vip['return_reset_vip2'];
            $this->voltapontoreset = $Vip['return_ponto_vip2'];
            if ( $this->ativaresetdinamico == false )
            {
                $this->pontoreset = $Vip['pontos_reset_vip2'];
            }
            if ( $this->ativaresetdinamico == true )
            {
                $pontoreset[0] = $Vip['reset_01_a_50_pontos_vip2'];
                $pontoreset[1] = $Vip['reset_51_a_150_pontos_vip2'];
                $pontoreset[2] = $Vip['reset_151_a_200_pontos_vip2'];
                $pontoreset[3] = $Vip['reset_201_a_250_pontos_vip2'];
                $pontoreset[4] = $Vip['reset_251_a_300_pontos_vip2'];
                $pontoreset[5] = $Vip['reset_apos_300_pontos_vip2'];
            }
            $this->preco_limpapk = $Vip['preco_limpapk_vip2'];
            $this->quantidade_bau = $Vip['quantidade_bau_vip2'];
            $this->pontos_resetao = $Vip['pontos_resetao_vip2'];
        }
        $this->pontoreset = $pontoreset;
        $this->pontos_consertar = $Vip['pontos_consertar'];
        $this->pontos_consertar_return = $Vip['pontos_consertar_return'];
        $this->colunavip = $Vip['coluna_vip'];
        $this->colunacreditos = $Vip['coluna_creditos'];
        $this->colunaresetao = $Vip['coluna_resetao'];
        $this->colunagolds = $Vip['coluna_golds'];
        $this->colunaresets = $Vip['coluna_resets'];
    }

    function mostradiasrestantes( $login )
    {
        $qMostraDiasRestantes = @mssql_query( "SELECT tirarvip FROM MEMB_INFO WHERE memb___id='".$login."'" );
        $MostraDiasRestantes = @mssql_result( $qMostraDiasRestantes, 0, 0 );
        return $MostraDiasRestantes;
    }

    function mostratipovip( $login )
    {
        $qMostraTipo = @mssql_query( "SELECT vip FROM MEMB_INFO WHERE memb___id='".$login."'" );
        $MostraTipo = @mssql_result( $qMostraTipo, 0, 0 );
        switch ( $MostraTipo )
        {
        case 0 :
            $tipo = "vip";
            return $tipo;
        case 1 :
            $tipo = "Vip Normal";
            return $tipo;
        case 2 :
            $tipo = "Vip Premium";
        }
        return $tipo;
    }

    function verificalogin( $login )
    {
        $qVerificaLogin = @mssql_query( "Select * From Memb_Info WHERE memb___id='".$login."'" );
        $VerificaLogin = @mssql_num_rows( $qVerificaLogin );
        if ( $VerificaLogin == 0 )
        {
            exit( "<script>alert('Login Inexistente'); window.location=\"javascript:history.back(1);\";</script>" );
        }
        return true;
    }

    function verificalogin2( $login )
    {
        $qVerificaLogin = @mssql_query( "Select * From Memb_Info WHERE memb___id='".$login."'" );
        $VerificaLogin = @mssql_num_rows( $qVerificaLogin );
        if ( $VerificaLogin == 0 )
        {
            return true;
        }
        exit( "<script>alert('Login já cadastrado em nosso banco de dados'); window.location=\"javascript:history.back(1);\";</script>" );
    }

    function verificaadm( $login )
    {
        $qVerificaAdm = @mssql_query( "Select * From Memb_Info WHERE memb___id='".$login."' AND level='2'" );
        $VerificaAdm = @mssql_num_rows( $qVerificaAdm );
        if ( $VerificaAdm == 0 )
        {
            exit( "<script>alert('Você não tem permissão para entrar nessa area.'); window.location=\"javascript:history.back(1);\";</script>" );
        }
        return true;
    }

    function verificasenha( $login, $senha )
    {
        if ( $this->md5 == 0 )
        {
            $qChecaSenha = mssql_query( "SELECT * FROM MEMB_INFO WHERE memb___id='".$login."' AND memb__pwd='".$senha."'" );
        }
        if ( $this->md5 == 1 )
        {
            $qChecaSenha = mssql_query( "Exec ChecaSenha '".$senha."', '".$login."'" );
        }
        $ChecaSenha = mssql_num_rows( $qChecaSenha );
        if ( $ChecaSenha == 0 )
        {
            exit( "<script>alert('Senha Incorreta'); window.location=\"javascript:history.back(1);\";</script>" );
        }
        return true;
    }

    function verificasenha2( $login, $senha )
    {
        $qChecaSenha = @mssql_query( "Select * From MEMB_INFO WHERE memb___id='".$login."' AND memb__pwd='{$senha}'" );
        $ChecaSenha = @mssql_num_rows( $qChecaSenha );
        if ( $ChecaSenha == 0 )
        {
            exit( "<script>alert('Senha Incorreta'); window.location=\"javascript:history.back(1);\";</script>" );
        }
        return true;
    }

    function verificachar( $char )
    {
        $qChecaChar = @mssql_query( "Select * From Character WHERE Name='".$char."'" );
        $ChecaChar = @mssql_num_rows( $qChecaChar );
        if ( $ChecaChar == 0 )
        {
            exit( "<script>alert('O char ".$char." não existe resgistro no banco de dados.')</script>" );
        }
        return true;
    }

    function pegatodoscharslogin( $login )
    {
        $qCharsConta = mssql_query( "SELECT Name,cLevel,Resets,Class FROM Character WHERE AccountID='".$login."'" );
        return $qCharsConta;
    }

    function verificalevelreset( $char )
    {
        $qChecaLevel = @mssql_query( "SELECT * FROM Character WHERE cLevel >= '".$this->minlvlreset."' AND Name = '".$char."'" );
        $ChecaLevel = @mssql_num_rows( $qChecaLevel );
        if ( $ChecaLevel == 0 )
        {
            exit( "<script>alert(\"Você não tem level suficiente para resetar.\"); window.location=\"?pagina=painel\";</script>" );
        }
        return true;
    }

    function verificamoneyreset( $char )
    {
        $qChecaMoney = @mssql_query( "SELECT * FROM Character WHERE Money >= '".$this->valorreset."' AND Name = '".$char."'" );
        $ChecaMoney = @mssql_num_rows( $qChecaMoney );
        if ( $ChecaMoney == 0 )
        {
            exit( "<script>alert(\"Você não tem zen suficiente para resetar.\"); window.location=\"?pagina=painel\";</script>" );
        }
        return true;
    }

    function verificaultlogadoreset( $login, $char )
    {
        $qChecaIdc = @mssql_query( "SELECT * FROM AccountCharacter WHERE ID='".$login."' AND GameIDC='".$char."'" );
        $ChecaIdc = @mssql_num_rows( $qChecaIdc );
        if ( $ChecaIdc == 1 )
        {
            exit( "<script>alert(\"Você tem que logar em outro char antes de resetar.\"); window.location=\"?pagina=painel\";</script>" );
        }
        return true;
    }

    function verificaultlogado( $login, $char, $oque )
    {
        $qChecaIdc = @mssql_query( "SELECT * FROM AccountCharacter WHERE ID='".$login."' AND GameIDC='".$char."'" );
        $ChecaIdc = @mssql_num_rows( $qChecaIdc );
        if ( $ChecaIdc == 1 )
        {
            exit( "<script>alert(\"Você tem que logar em outro char antes de ".$oque.".\"); window.location=\"?pagina=painel\";</script>" );
        }
        return true;
    }

    function executareset( $char )
    {
        $qReset = @mssql_query( "SELECT ".$this->colunaresets." FROM Character Where Name = '".$char."'" );
        $Reset = @mssql_result( $qReset, 0, 0 );
        if ( $this->ativaresetdinamico == true )
        {
            $ponto = $this->pontoreset;
            if ( $Reset <= 50 )
            {
                $this->pontoreset = $ponto[0];
            }
            if ( 50 < $Reset && $Reset <= 150 )
            {
                $this->pontoreset = $ponto[1];
            }
            if ( 150 < $Reset && $Reset <= 200 )
            {
                $this->pontoreset = $ponto[2];
            }
            if ( 200 < $Reset && $Reset <= 250 )
            {
                $this->pontoreset = $ponto[3];
            }
            if ( 250 < $Reset && $Reset <= 300 )
            {
                $this->pontoreset = $ponto[4];
            }
            if ( 300 < $Reset )
            {
                $this->pontoreset = $ponto[5];
            }
        }
        $pontos = ( $Reset + 1 ) * $this->pontoreset;
        @mssql_query( "Update Character Set cLevel='".$this->voltalevelreset."', Experience = '100', Strength = '".$this->voltapontoreset."', Dexterity = '".$this->voltapontoreset."', Energy = '".$this->voltapontoreset."', Vitality = '".$this->voltapontoreset."', LevelUpPoint = LevelUpPoint+'".$pontos."', ".$this->colunaresets." = ".$this->colunaresets."+1,  Money = Money-".$this->valorreset." WHERE Name='".$char."'" );
        exit( "<script>alert('O ".$char." foi resetado com sucesso.'); window.location=\"?pagina=painel\";</script>" );
    }

    function verificalevelpk( $char )
    {
        $qChecaPk = @mssql_query( "SELECT * FROM Character WHERE PkLevel > '3' and Name = '".$char."'" );
        $ChecaPk = @mssql_num_rows( $qChecaPk );
        if ( $ChecaPk == 0 )
        {
            exit( "<script>alert(\"O char não está Pk.\"); window.location=\"?pagina=painel\";</script>" );
        }
        return true;
    }

    function verificazenpk( $char )
    {
        $qMortes = @mssql_query( "SELECT PkCount FROM Character WHERE Name = '".$char."'" );
        $Mortes = @mssql_result( $qMortes, 0, 0 );
        $Preco = $Mortes * $this->preco_limpapk;
        $qChecaZenPk = @mssql_query( "SELECT * FROM Character WHERE Money >= '".$Preco."' and Name = '".$char."'" );
        $ChecaZenPk = @mssql_num_rows( $qChecaZenPk );
        if ( $ChecaZenPk == 0 )
        {
            exit( "<script>alert(\"Sem zen suficiente no Char. É necessário ".$Preco." de zen.\"); window.location=\"?pagina=painel\";</script>" );
        }
        return true;
    }

    function executapk( $char )
    {
        $qMortes = @mssql_query( "SELECT PkCount FROM Character WHERE Name = '".$char."'" );
        $Mortes = @mssql_result( $qMortes, 0, 0 );
        $Preco = $Mortes * $this->preco_limpapk;
        @mssql_query( "UPDATE Character SET PkLevel = '1', PkCount = '-3', Money = Money-".$Preco.", PkTime = '-100' WHERE Name = '".$char."'" );
        exit( "<script>alert(\"O char foi limpado o PK com sucesso!.\"); window.location=\"?pagina=painel\";</script>" );
    }

    function executalimparinventario( $char )
    {
        @mssql_query( "UPDATE Character SET Inventory=NULL WHERE Name='".$char."'" );
        exit( "<script>alert(\"O inventario do char foi limpado com sucesso!.\"); window.location=\"?pagina=painel\";</script>" );
    }

    function checapontosdistribui( $char )
    {
        $qChecaPontos = @mssql_query( "SELECT * FROM Character WHERE LevelUpPoint > '0' AND Name='".$char."'" );
        $ChecaPontos = @mssql_num_rows( $qChecaPontos );
        if ( $ChecaPontos == 0 )
        {
            exit( "<script>alert(\"O char não tem pontos para distribuir.\"); window.location=\"?pagina=painel\";</script>" );
        }
        return true;
    }

    function mostrapontosdistribui( $char )
    {
        $qMostraPontos = @mssql_query( "SELECT LevelUpPoint FROM Character WHERE Name='".$char."'" );
        $MostraPontos = @mssql_fetch_row( $qMostraPontos );
        return $MostraPontos[0];
    }

    function verificasevaibugar( $char, $pontos, $onde = "Energy" )
    {
        $qVerifica = @mssql_query( "SELECT ".$onde." FROM Character WHERE Name='".$char."'" );
        $Verifica = @mssql_result( $qVerifica, 0, 0 );
        $Compara = $Verifica + $pontos;
        if ( 32767 < $Compara )
        {
            exit( "<script>alert(\"O limite de pontos para colocar em cada atributo é 32767, você está execendo o limite.\"); location='javascript:history.back(1)';</script>" );
        }
        return false;
    }

    function verificasomapontos( $char, $pontos )
    {
        $qVerificaSoma = @mssql_query( "SELECT * FROM Character WHERE Name='".$char."' AND LevelUpPoint >= '".$pontos."'" );
        $VerificaSoma = @mssql_num_rows( $qVerificaSoma );
        if ( $VerificaSoma == 0 )
        {
            exit( "<script>alert(\"Pontos atribuidos acima do disponivel. Você tem ".$this->mostrapontosdistribui( $char )." pontos para distribuir.\"); window.location=\"javascript:history.back(1);\";</script>" );
        }
        return true;
    }

    function checanumeropositivo( $campo )
    {
        if ( eregi( "[^0-9]", $campo ) )
        {
            exit( "<script>alert(\"Só é permitido usar numeros.\"); window.location=\"javascript:history.back(1);\";</script>" );
        }
    }

    function executadistribuirpontos( $char, $forca, $agilidade, $vida, $energia )
    {
        @mssql_query( "UPDATE Character SET Strength = Strength+'".$forca."' , Dexterity = Dexterity+'".$agilidade."' ,\r\nVitality = Vitality+'".$vida."' , Energy = Energy+'".$energia.( "',\r\nLevelUpPoint = LevelUpPoint - (".$forca."+{$agilidade}+{$vida}+{$energia}) WHERE Name = '" ).$char."'" );
        exit( "<script>alert(\"Pontos Distribuidos com sucesso.\"); window.location=\"?pagina=painel\";</script>" );
    }

    function mostramapa( $char )
    {
        $qMostraMapa = @mssql_query( "Select MapNumber From Character Where Name='".$char."'" );
        $MostraMap = @mssql_fetch_row( $qMostraMapa );
        switch ( $MostraMap[0] )
        {
        case 0 :
            $mapa = "Lorencia";
            break;
        case 1 :
            $mapa = "Dungeon";
            break;
        case 2 :
            $mapa = "Devias";
            break;
        case 3 :
            $mapa = "Noria";
            break;
        case 4 :
            $mapa = "Lost Tower";
            break;
        case 5 :
            $mapa = "Excile";
            break;
        case 6 :
            $mapa = "Arena";
            break;
        case 7 :
            $mapa = "Atlans";
            break;
        case 8 :
            $mapa = "Tarkan";
            break;
        case 9 :
            $mapa = "Devil Square";
            break;
        case 10 :
            $mapa = "Icarus";
            break;
        case 11 :
            $mapa = "Blood Castle 1";
            break;
        case 12 :
            $mapa = "Blood Castle 2";
            break;
        case 13 :
            $mapa = "Blood Castle 3";
            break;
        case 14 :
            $mapa = "Blood Castle 4";
            break;
        case 15 :
            $mapa = "Blood Castle 5";
            break;
        case 16 :
            $mapa = "Blood Castle 6";
            break;
        case 17 :
            $mapa = "Blood Castle 7";
            break;
        case 18 :
            $mapa = "Chaos Castle 1";
            break;
        case 19 :
            $mapa = "Chaos Castle 2";
            break;
        case 20 :
            $mapa = "Chaos Castle 3";
            break;
        case 21 :
            $mapa = "Chaos Castle 4";
            break;
        case 22 :
            $mapa = "Chaos Castle 5";
            break;
        case 23 :
            $mapa = "Chaos Castle 6";
            break;
        case 24 :
            $mapa = "Kalima 1";
            break;
        case 25 :
            $mapa = "Kalima 2";
            break;
        case 26 :
            $mapa = "Kalima 3";
            break;
        case 27 :
            $mapa = "Kalima 4";
            break;
        case 28 :
            $mapa = "Kalima 5";
            break;
        case 29 :
            $mapa = "Kalima 6";
            break;
        case 31 :
            $mapa = "Valey of Loren";
            break;
        case 32 :
            $mapa = "Land of Trial";
            break;
        case 33 :
            $mapa = "Aida";
            break;
        case 34 :
            $mapa = "Cry Wolf";
        }
        return $mapa;
    }

    function checacoordenadas( $coordenada )
    {
        if ( 256 < $coordenada )
        {
            exit( "<script>alert(\"Use numeros entre 1 a 255.\"); window.location=\"javascript:history.back(1);\";</script>" );
        }
        if ( $coordenada < 1 )
        {
            exit( "<script>alert(\"Use numeros entre 1 a 255.\"); window.location=\"javascript:history.back(1);\";</script>" );
        }
        return true;
    }

    function executamover( $char, $mapa, $coordx, $coordy )
    {
        @mssql_query( "UPDATE Character SET MapNumber='".$mapa."', MapPosX='".$coordx."', MapPosY='".$coordy."' WHERE Name='".$char."'" );
        exit( "<script>alert(\"O char foi movido com sucesso.\"); window.location=\"?pagina=painel\";</script>" );
    }

    function verificanicktrocarnick( $char )
    {
        $qVerificaNick = @mssql_query( "SELECT * FROM Character WHERE Name = '".$char."'" );
        $VerificaNick = @mssql_num_rows( $qVerificaNick );
        if ( $VerificaNick == 0 )
        {
            return true;
        }
        exit( "<script>alert(\"Já existe personagem com esse nick.\"); window.location=\"javascript:history.back(1);\";</script>" );
    }

    function checacaracteres( $campo )
    {
        if ( eregi( "[^0-9A-Za-z_]", $campo ) )
        {
            exit( "<script>alert(\"Não use outro caracteres, exceto '_'.\"); window.location=\"javascript:history.back(1);\";</script>" );
        }
        return true;
    }

    function executatrocanick( $char, $novonick )
    {
        $qLocaliza1 = @mssql_query( "SELECT GameID1 FROM AccountCharacter WHERE GameID1 = '".$char."'" );
        $Localizar1 = @mssql_num_rows( $qLocaliza1 );
        $qLocaliza2 = @mssql_query( "SELECT GameID2 FROM AccountCharacter WHERE GameID2 = '".$char."'" );
        $Localizar2 = @mssql_num_rows( $qLocaliza2 );
        $qLocaliza3 = @mssql_query( "SELECT GameID3 FROM AccountCharacter WHERE GameID3 = '".$char."'" );
        $Localizar3 = @mssql_num_rows( $qLocaliza3 );
        $qLocaliza4 = @mssql_query( "SELECT GameID4 FROM AccountCharacter WHERE GameID4 = '".$char."'" );
        $Localizar4 = @mssql_num_rows( $qLocaliza4 );
        $qLocaliza5 = @mssql_query( "SELECT GameID5 FROM AccountCharacter WHERE GameID5 = '".$char."'" );
        $Localizar5 = @mssql_num_rows( $qLocaliza5 );
        if ( 1 <= $Localizar1 )
        {
            $gameid = "GameID1";
        }
        else if ( 1 <= $Localizar2 )
        {
            $gameid = "GameID2";
        }
        else if ( 1 <= $Localizar3 )
        {
            $gameid = "GameID3";
        }
        else if ( 1 <= $Localizar4 )
        {
            $gameid = "GameID4";
        }
        else if ( 1 <= $Localizar5 )
        {
            $gameid = "GameID5";
        }
        @mssql_query( "UPDATE dbo.Character SET Name = '".$novonick."' WHERE Name = '".$char."'" );
        @mssql_query( "UPDATE dbo.AccountCharacter SET ".$gameid." = '".$novonick.( "' WHERE ".$gameid." = '" ).$char."'" );
        @mssql_query( "UPDATE dbo.Guild SET G_Master = '".$novonick."' WHERE G_Master = '".$char."'" );
        @mssql_query( "UPDATE dbo.GuildMember SET Name = '".$novonick."' WHERE Name = '".$char."'" );
        exit( "<script>alert(\"A troca de nick foi efetuada com sucesso.\"); window.location=\"?pagina=painel\";</script>" );
    }

    function executaredistribuirpontos( $char )
    {
        $qPontos = @mssql_query( "Select Vitality,Strength,Energy,Dexterity,LevelUpPoint from Character WHERE Name='".$char."'" );
        $pontos = @mssql_fetch_row( $qPontos );
        $vida = $pontos[0] - 26;
        $forca = $pontos[1] - 26;
        $ernegia = $pontos[2] - 26;
        $agili = $pontos[3] - 26;
        $lvluppontos = $vida + $forca + $ernegia + $agili;
        @mssql_query( "Update Character SET Vitality=('26'), Strength=('26'),  Energy=('26'), Dexterity=('26'),\r\n\t\tLevelUpPoint=LevelUpPoint+'".$lvluppontos."' Where Name='".$char."'" );
        exit( "<script>alert(\"Agora você tem ".$lvluppontos." pontos para distribuir.\"); window.location=\"?pagina=painel\";</script>" );
    }

    function executalimparmagia( $char )
    {
        @mssql_query( "UPDATE Character SET MagicList=NULL WHERE Name='".$char."'" );
        exit( "<script>alert(\"A lista de magia do char foi limpada com sucesso!.\"); window.location=\"?pagina=painel\";</script>" );
    }

    function executatrocaclasse( $char, $novaclasse )
    {
        @mssql_query( "Update Character SET Class='".$novaclasse."' WHERE Name='".$char."'" );
        exit( "<script>alert(\"A troca de classe foi efetuada com sucesso.\"); window.location=\"?pagina=painel\";</script>" );
    }

    function verificaclasse( $char, $novaclasse )
    {
        $qVerificaClasse = @mssql_query( "SELECT Class FROM Character WHERE Name='".$char."'" );
        $VerificaClasse = @mssql_result( $qVerificaClasse, 0, 0 );
        if ( $VerificaClasse == $novaclasse )
        {
            if ( $novaclasse == 1 )
            {
                $id = "Soul Master";
            }
            else if ( $novaclasse == 17 )
            {
                $id = "Blade Knight";
            }
            else if ( $novaclasse == 33 )
            {
                $id = "Muse Elf";
            }
            else if ( $novaclasse == 48 )
            {
                $id = "Magic Gladiator";
            }
            else if ( $novaclasse == 64 )
            {
                $id = "Dark Lord";
            }
            exit( "<script>alert(\"Você já é ".$id.".\"); window.location=\"?pagina=painel\";</script>" );
        }
        return true;
    }

    function verificacharsconta( $login )
    {
        $qCharsConta = @mssql_query( "SELECT * FROM Character WHERE AccountId='".$login."'" );
        $CharsConta = @mssql_num_rows( $qCharsConta );
        if ( 5 <= $CharsConta )
        {
            exit( "<script>alert(\"A conta já tem 5 chars.\"); window.location='javascript:history.back(1)';</script>" );
        }
        return true;
    }

    function executalimpezabau( $login, $bau_vazio )
    {
        @mssql_query( "Update warehouse Set Items=".$bau_vazio." Where AccountId='".$login."'" );
        exit( "<script>alert(\"O bau desta conta foi limpado com sucesso!.\"); window.location=\"?pagina=painel\";</script>" );
    }

    function checacampoembranco( $campo, $nome )
    {
        if ( empty( $campo ) )
        {
            exit( "<script>alert(\"O campo ".$nome." está em branco.\"); location='javascript:history.back(1)';</script>" );
        }
        return true;
    }

    function checacaracteresemail( $campo, $nome )
    {
        if ( eregi( "[^a-zA-Z0-9_+.! @#\$?&:*<>(){}|\\/[.[.][.].][.-.][.,.][.=.]´`~^¨¬!ãâáàäÄÁÀÃÂõôóòöÕÔÓÒÖêéèëÊÈÉËíìîïÍÌÏÎúùûüÚÙÛÜçÇªº°]", $campo ) )
        {
            exit( "<script>alert(\"Não use outro caracteres, exceto '_','-','@','.', no campo ".$nome.".\"); location='javascript:history.back(1)';</script>" );
        }
        return true;
    }

    function checacaracteresdata( $campo, $nome )
    {
        if ( eregi( "[^0-9_./ [.-.]]", $campo ) )
        {
            exit( "<script>alert(\"Não use outro caracteres, exceto '_','-','/' no campo ".$nome.".\"); location='javascript:history.back(1)';</script>" );
        }
        return true;
    }

    function checacaractereshora( $campo, $nome )
    {
        if ( eregi( "[^0-9:.[.-.]_ ]", $campo ) )
        {
            exit( "<script>alert(\"Não use outro caracteres, exceto '_','-','.',':', no campo ".$nome.".\"); location='javascript:history.back(1)';</script>" );
        }
        return true;
    }

    function checacaracteresagencia( $campo, $nome )
    {
        if ( eregi( "[^0-9. [.-.]]", $campo ) )
        {
            exit( "<script>alert(\"Não use outro caracteres, exceto '-', no campo ".$nome.".\"); location='javascript:history.back(1)';</script>" );
        }
        return true;
    }

    function checacaracteresdocumento( $campo, $nome )
    {
        if ( eregi( "[^0-9._[.-.] ]", $campo ) )
        {
            exit( "<script>alert(\"Não use outro caracteres, exceto '_','-','.', no campo ".$nome.".\"); location='javascript:history.back(1)';</script>" );
        }
        return true;
    }

    function checacaracteresvalor( $campo, $nome )
    {
        if ( eregi( "[^0-9R\$., ]", $campo ) )
        {
            exit( "<script>alert(\"Não use outro caracteres, exceto ',','-','.', no campo ".$nome.".\"); location='javascript:history.back(1)';</script>" );
        }
        return true;
    }

    function checacaracterescompra( $campo, $nome )
    {
        if ( eregi( "[^a-zA-Z0-9_+.! @#\$?&:*<>(){}|\\/[.[.][.].][.-.][.,.][.=.]´`~^¨¬!ãâáàäÄÁÀÃÂõôóòöÕÔÓÒÖêéèëÊÈÉËíìîïÍÌÏÎúùûüÚÙÛÜçÇªº°\r\n]", $campo ) )
        {
            exit( "<script>alert(\"Não use outro caracteres, exceto ',','_','-','@','.','\$','/' no campo ".$nome.".\"); location='javascript:history.back(1)';</script>" );
        }
        return true;
    }

    function executaconfirmapagamento( $login, $email, $envelope, $data, $hora, $valor, $compra, $trans, $acesso, $agencia, $pagou )
    {
        $qId = @mssql_query( "SELECT TOP 1 i_id FROM Site_ShopPedidos ORDER BY i_id DESC" );
        $Id = mssql_result( $qId, 0, 0 ) + 1;
        @mssql_query( "INSERT INTO Site_ShopPedidos  (i_id, i_login, i_email, i_envelope, i_data, i_hora, i_valor, i_compra, i_entao, i_trans, i_qual_foi, i_agencia, i_pagamento) VALUES ('".$Id."', '".$login."', '".$email."', '".$envelope."', '".$data."', '".$hora."', '".$valor."', '".$compra."', '1', '".$trans."', '".$acesso."', '".$agencia."', '".$pagou."')" );
        $msg = "Confirmação efetuada com sucesso \\n";
        $msg .= " \\n";
        $msg .= "Login: ".$login." \\n";
        $msg .= "E-mail: ".$email." \\n";
        $msg .= "Data: ".$data." \\n";
        $msg .= "Hora: ".$hora." \\n";
        $msg .= "Acesso: ".$acesso." \\n";
        $msg .= "Pagou em: ".$pagou." \\n";
        $msg .= "Valor: ".$valor." \\n";
        $msg .= "Agencia: ".$agencia." \\n";
        $msg .= "Envelope: ".$envelope." \\n";
        $msg .= "N.Transferencia:".$trans." \\n";
        $msg .= " \\n";
        $msg .= "Aguarde o seu pedido será concluido no maximo em 48 horas.\\n";
        exit( "<script>var msg = '".$msg."'; alert(msg); window.location='index.php';</script>" );
    }

    function uploadimagemdenuncia( $screenshot, $denunciante, $denunciado, $motivo )
    {
        $erro = $config = array( );
        $arquivo = isset( $screenshot ) ? $screenshot : FALSE;
        $config['tamanho'] = 1000000;
        $config['largura'] = 10000000;
        $config['altura'] = 10000000;
        if ( $arquivo )
        {
            if ( !eregi( "^image\\/(gif|bmp|png|jpg|jpeg)\$", $arquivo['type'] ) )
            {
                exit( "<script>alert('Arquivo em formato invalido, a imagem deve ser jpg.'); window.location='?pagina=painel';</script>" );
            }
            if ( $config['tamanho'] < $arquivo['size'] )
            {
                exit( "<script>alert('Arquivo em tamanho muito grande.\nA imagem deve ser de no maximo ".$config['tamanho']." bytes.\nEnvie outro arquivo'); window.location='?pagina=painel';</script>" );
            }
            $tamanhos = getimagesize( $arquivo['tmp_name'] );
            if ( $config['largura'] < $tamanhos[0] )
            {
                exit( "<script>alert('Largura da imagem nao deve ultrapassar ".$config['largura']." pixels'); window.location='?pagina=painel';</script>" );
            }
            if ( $config['altura'] < $tamanhos[1] )
            {
                exit( "<script>alert('Altura da imagem nao deve ultrapassar ".$config['altura']." pixels'); window.location='?pagina=painel';</script>" );
            }
            preg_match( "/\\.(gif|bmp|png|jpg|jpeg){1}\$/i", $arquivo['name'], $ext );
            $imagem_nome = $denunciado.", ".$denunciante.", por ".$motivo.".".$ext[1];
            $imagem_dir = "denuncias/".$imagem_nome;
            if ( file_exists( $imagem_dir ) == TRUE )
            {
                exit( "<script>alert('Já existe uma denuncia desse membro'); window.location='?pagina=painel';</script>" );
            }
            move_uploaded_file( $arquivo['tmp_name'], $imagem_dir );
            @mssql_query( "INSERT INTO Site_Denuncia(Denuciante,Denunciado,Motivo,Imagem) VALUES('".$denunciante."', '{$denunciado}', '{$motivo}', '{$imagem_dir}')" );
            exit( "<script>alert('Obrigado pela sua denuncia, em breve estaremos analizando a screenshot.'); window.location='?pagina=painel';</script>" );
        }
    }

    function verificaemailexistente( $login, $email )
    {
        $qVerificaEmail = @mssql_query( "SELECT * FROM MEMB_INFO WHERE memb___id='".$login."' AND mail_addr='".$email."'" );
        $VerificaEmail = @mssql_num_rows( $qVerificaEmail );
        if ( $VerificaEmail == 0 )
        {
            exit( "<script>alert(\"E-mail não conciede com a conta.\"); location='javascript:history.back(1)';</script>" );
        }
        return true;
    }

    function verificaemailexiste( $email )
    {
        $qVerificaMail = @mssql_query( "SELECT * FROM MEMB_INFO WHERE mail_addr='".$email."'" );
        $VerificaMail = @mssql_num_rows( $qVerificaMail );
        if ( $VerificaMail == 0 )
        {
            return true;
        }
        exit( "<script>alert(\"E-mail já está cadastro no nosso banco de dados, favor usar outro email.\"); location='javascript:history.back(1)';</script>" );
    }

    function executatrocadeemail( $login, $email )
    {
        @mssql_query( "UPDATE MEMB_INFO SET mail_addr='".$email."' WHERE memb___id='".$login."'" );
        exit( "<script>alert(\"E-mail trocado com sucesso.\"); window.location=\"?pagina=painel\";</script>" );
    }

    function executatrocadesenha( $login, $senha )
    {
        @mssql_query( "UPDATE MEMB_INFO SET memb__pwd='".$senha."' WHERE memb___id='".$login."'" );
        exit( "<script>alert(\"Senha trocada com sucesso.\"); window.location=\"?pagina=painel\";</script>" );
    }

    function executacriarchar( $login, $char, $classe, $volta = "painel" )
    {
        @mssql_query( "Exec Site_CriarChar '".$login."', '".$char."', '".$classe."'" );
        exit( "<script>alert(\"Char Criado com sucesso.\"); window.location=\"?pagina=".$volta."\";</script>" );
    }

    function verificasetemguild( $char )
    {
        $qVerificaGuild = @mssql_query( "SELECT * FROM GuildMember WHERE Name='".$char."'" );
        $VerificaGuild = @mssql_num_rows( $qVerificaGuild );
        if ( $VerificaGuild == 0 )
        {
            return true;
        }
        exit( "<script>alert(\"O char já tem guild, saia da guild para usar essa opção.\"); window.location=\"?pagina=painel\";</script>" );
    }

    function verificaguild( $guild, $volta = "painel" )
    {
        $qChecaGuild = @mssql_query( "Select * From Guild WHERE G_Name='".$guild."'" );
        $ChecaGuild = @mssql_num_rows( $qChecaGuild );
        if ( $ChecaGuild == 1 )
        {
            exit( "<script>alert(\"Já existe guild com esse nome no banco de dados.\"); window.location=\"".$volta.".php\";</script>" );
        }
        return true;
    }

    function executacriarguild( $char, $guild )
    {
        @mssql_query( "Exec Site_CriarGuild '".$guild."','".$char."'" );
        exit( "<script>alert(\"Guild Criada com sucesso.\"); window.location=\"?pagina=painel\";</script>" );
    }

    function executaconsertapontos( $char )
    {
        $qChecaPontos = @mssql_query( "SELECT Vitality, Strength, Energy, Dexterity, Experience FROM Character WHERE Name='".$char."'" );
        $pontos = @mssql_fetch_row( $qChecaPontos );
        $realvida = $pontos[0];
        $realforca = $pontos[1];
        $realenergia = $pontos[2];
        $realagilidade = $pontos[3];
        $exp = $pontos[4];
        if ( $pontos[0] <= 0 )
        {
            $realvida = $this->pontos_consertar_return;
        }
        if ( $pontos[1] <= 0 )
        {
            $realforca = $this->pontos_consertar_return;
        }
        if ( $pontos[2] <= 0 )
        {
            $realenergia = $this->pontos_consertar_return;
        }
        if ( $pontos[3] <= 0 )
        {
            $realagilidade = $this->pontos_consertar_return;
        }
        if ( $pontos[4] <= 0 )
        {
            $exp = "100";
        }
        if ( $exp == $pontos[4] && $realagilidade == $pontos[3] && $realenergia == $pontos[2] && $realforca == $pontos[1] && $realvida == $pontos[0] )
        {
            exit( "<script>alert(\"Não há nada de errado com seu char.\"); window.location='javascript:history.back(1)';</script>" );
        }
        @mssql_query( "UPDATE Character SET Vitality = '".$realvida."', Strength = '".$realforca."', Energy = '".$realenergia."', dexterity = '".$realagilidade."', Experience = '".$exp."' WHERE Name = '".$char."'" );
        exit( "<script>alert(\"O char foi consertado com sucesso.\"); window.location='?pagina=painel';</script>" );
    }

    function executadeletachar( $char, $i = "1" )
    {
        $qSelecionaLogin = @mssql_query( "Select AccountId From Character Where Name='".$char."'" );
        $login = @mssql_result( $qSelecionaLogin, 0, 0 );
        $qSelecionaID1 = @mssql_query( "Select * From AccountCharacter Where Id='".$login."' and GameId1='".$char."'" );
        $SelecionaID1 = @mssql_num_rows( $qSelecionaID1 );
        $qSelecionaID2 = @mssql_query( "Select * From AccountCharacter Where Id='".$login."' and GameId2='".$char."'" );
        $SelecionaID2 = @mssql_num_rows( $qSelecionaID2 );
        $qSelecionaID3 = @mssql_query( "Select * From AccountCharacter Where Id='".$login."' and GameId3='".$char."'" );
        $SelecionaID3 = @mssql_num_rows( $qSelecionaID3 );
        $qSelecionaID4 = @mssql_query( "Select * From AccountCharacter Where Id='".$login."' and GameId4='".$char."'" );
        $SelecionaID4 = @mssql_num_rows( $qSelecionaID4 );
        $qSelecionaID5 = @mssql_query( "Select * From AccountCharacter Where Id='".$login."' and GameId5='".$char."'" );
        $SelecionaID5 = @mssql_num_rows( $qSelecionaID5 );
        $qSelecionaG = @mssql_query( "Select G_Name From Guild Where G_Master='".$char."'" );
        $Guild = @mssql_result( $qSelecionaG, 0, 0 );
        if ( 1 <= $SelecionaID1 )
        {
            $GameId = "GameId1";
        }
        if ( 1 <= $SelecionaID2 )
        {
            $GameId = "GameId2";
        }
        if ( 1 <= $SelecionaID3 )
        {
            $GameId = "GameId3";
        }
        if ( 1 <= $SelecionaID4 )
        {
            $GameId = "GameId4";
        }
        if ( 1 <= $SelecionaID5 )
        {
            $GameId = "GameId5";
        }
        @mssql_query( "DELETE Character FROM Character Where Name='".$char."'" );
        @mssql_query( "UPDATE AccountCharacter SET ".$GameId."=NULL WHERE ".$GameId." = '".$char."'" );
        @mssql_query( "DELETE Guild FROM Guild WHERE G_Master='".$char."'" );
        @mssql_query( "DELETE GuildMember FROM GuildMember WHERE Name='".$char."'" );
        @mssql_query( "DELETE FROM T_FriendList Where FriendName='".$char."" );
        if ( 0 < $Guild )
        {
            @mssql_query( "DELETE GuildMember From GuildMember Where G_Name='".$Guild."'" );
        }
        if ( $i == 1 )
        {
            exit( "<script>alert(\"O char foi deletado com sucesso.\"); location='?pagina=painel';</script>" );
        }
        return true;
    }

    function verificasetemguild2( $char )
    {
        $qVerificaGuild = @mssql_query( "SELECT * FROM Guild WHERE G_Master='".$char."'" );
        $VerificaGuild = @mssql_num_rows( $qVerificaGuild );
        if ( $VerificaGuild == 0 )
        {
            exit( "<script>alert(\"O char não é gm de nenhuma guild, crie uma guild para usar essa opção.\"); window.location=\"?pagina=painel\";</script>" );
        }
        return true;
    }

    function selecionanomedaguild( $char )
    {
        $qSeleciona = @mssql_query( "SELECT G_Name FROM Guild WHERE G_Master='".$char."'" );
        $Seleciona = @mssql_result( $qSeleciona, 0, 0 );
        return $Seleciona;
    }

    function selecionapontosguild( $guild )
    {
        $qSeleciona = @mssql_query( "SELECT G_Score FROM Guild WHERE G_Name='".$guild."'" );
        $Seleciona = @mssql_result( $qSeleciona, 0, 0 );
        return $Seleciona;
    }

    function selecionamsgguild( $guild )
    {
        $qSeleciona = @mssql_query( "SELECT G_Notice FROM Guild WHERE G_Name='".$guild."'" );
        $Seleciona = @mssql_result( $qSeleciona, 0, 0 );
        return $Seleciona;
    }

    function selecionaqtosmembrosguild( $guild )
    {
        $qSeleciona = @mssql_query( "SELECT count(*) FROM Guildmember WHERE  G_Name='".$guild."'" );
        $Seleciona = @mssql_result( $qSeleciona, 0, 0 );
        return $Seleciona;
    }

    function executatrocanomeguild( $novonome, $antigonome )
    {
        @mssql_query( "Update Guild SET G_Name='".$novonome."' Where G_Name='".$antigonome."'" );
        @mssql_query( "Update GuildMember SET G_Name='".$novonome."' Where G_Name='".$antigonome."'" );
        exit( "<script>alert(\"Nome da Guild Trocada com sucesso.\"); window.location=\"?pagina=painel\";</script>" );
    }

    function executatrocarmsgguild( $guild, $mensagem )
    {
        @mssql_query( "Update Guild SET G_Notice='".$mensagem."' Where G_Name='".$guild."'" );
        exit( "<script>alert(\"Mensagem da Guild Trocada com sucesso.\"); window.location=\"?pagina=painel\";</script>" );
    }

    function executatirarcharguild( $guild, $idchar )
    {
        @mssql_query( "DELETE GuildMember From GuildMember Where G_Name='".$guild."' AND Id='".$idchar."'" );
        exit( "<script>alert(\"O char foi tirado da guild com sucesso.\"); window.location=\"?pagina=painel\";</script>" );
    }

    function mostranomebauatual( $login )
    {
        $qMostraBauAtual = @mssql_query( "SELECT NomeAtual FROM warehouse WHERE AccountID='".$login."'" );
        $MostraBauAtual = @mssql_result( $qMostraBauAtual, 0, 0 );
        return $MostraBauAtual;
    }

    function mostranumerobauatual( $login )
    {
        $qMostraBauAtual = @mssql_query( "SELECT NumeroAtual FROM warehouse WHERE AccountID='".$login."'" );
        $MostraBauAtual = @mssql_result( $qMostraBauAtual, 0, 0 );
        return $MostraBauAtual;
    }

    function mostranomebaunumero( $login, $numero )
    {
        $qMostraBauAtual = @mssql_query( "SELECT NomeBau FROM web_bau WHERE Login='".$login."' AND NumeroBau='".$numero."'" );
        $MostraBauAtual = @mssql_result( $qMostraBauAtual, 0, 0 );
        return $MostraBauAtual;
    }

    function mostranumerobau( $login, $nome )
    {
        $qMostraBau = @mssql_query( "SELECT NumeroBau FROM web_bau WHERE Login='".$login."' AND NomeBau='".$nome."'" );
        $MostraBau = @mssql_result( $qMostraBau, 0, 0 );
        return $MostraBau;
    }

    function verificabaulogin( $login, $bau )
    {
        $qChecaBau = @mssql_query( "Select * From web_bau WHERE Login='".$login."' AND NomeBau='".$bau."'" );
        $ChecaBau = @mssql_num_rows( $qChecaBau );
        if ( $ChecaBau == 1 )
        {
            exit( "<script>alert(\"Você já tem um bau com esse nome.\"); window.location='?pagina=painel&acao=10';</script>" );
        }
        return true;
    }

    function executatrocanomebau( $login, $novo, $velho )
    {
        @mssql_query( "UPDATE web_bau SET NomeBau='".$novo."' WHERE Login='".$login."' AND NomeBau='".$velho."'" );
        @mssql_query( "UPDATE warehouse SET NomeAtual='".$novo."' WHERE AccountID='".$login."' AND NomeAtual='".$velho."'" );
        exit( "<script>alert(\"O nome do baú foi mudado com sucesso.\"); window.location='?pagina=painel';</script>" );
    }

    function verificasepode( $login, $idbau, $acao = "1" )
    {
        if ( $acao == 1 )
        {
            $qVerificaSePode = @mssql_query( "SELECT * FROM web_bau WHERE Login='".$login."' AND NumeroBau='".$idbau."' AND Deletar='0'" );
            $VerificaSePode = @mssql_num_rows( $qVerificaSePode );
            if ( $VerificaSePode == 0 )
            {
                exit( "<script>alert(\"Você não pode deletar esse bau.\"); window.location='javascript:history.back(1)';</script>" );
            }
            return true;
        }
        if ( $acao == 2 )
        {
            $qVerificaSePode2 = @mssql_query( "SELECT * FROM web_bau WHERE Login='".$login."' AND NumeroBau='".$idbau."' AND MudarNome='0'" );
            $VerificaSePode2 = @mssql_num_rows( $qVerificaSePode2 );
            if ( $VerificaSePode2 == 0 )
            {
                exit( "<script>alert(\"Você não pode mudar o nome desse bau.\"); window.location='javascript:history.back(1)';</script>" );
            }
            return true;
        }
        return false;
    }

    function executadeletabau( $login, $idbau )
    {
        @mssql_query( "Delete web_bau From web_bau Where Login='".$login."' AND NumeroBau='".$idbau."'" );
        exit( "<script>alert(\"O baú foi deletado com sucesso.\"); window.location='?pagina=painel';</script>" );
    }

    function verificabauusado( $login, $idbau )
    {
        $qChecaBauUsado = @mssql_query( "SELECT * FROM warehouse WHERE AccountID='".$login."' AND NumeroAtual='".$idbau."'" );
        $ChecaBauUsado = @mssql_num_rows( $qChecaBauUsado );
        if ( $ChecaBauUsado == 1 )
        {
            exit( "<script>alert(\"Voce ja esta usando este bau.\"); window.location='?pagina=painel&acao=10';</script>" );
        }
        return true;
    }

    function verificabauusado2( $login, $idbau )
    {
        $qChecaBauUsado = @mssql_query( "SELECT * FROM warehouse WHERE AccountID='".$login."' AND NumeroAtual='".$idbau."'" );
        $ChecaBauUsado = @mssql_num_rows( $qChecaBauUsado );
        if ( $ChecaBauUsado == 1 )
        {
            exit( "<script>alert(\"Voce deve trocar de bau para efetuar essa ação.\"); window.location='?pagina=painel&acao=10';</script>" );
        }
        return true;
    }

    function verficaconectado( $login )
    {
        $qConectado = @mssql_query( "SELECT * FROM MEMB_STAT WHERE memb___id='".$login."' AND ConnectStat='0'" );
        $Conectado = @mssql_num_rows( $qConectado );
        if ( $Conectado == 0 )
        {
            exit( "<script>alert(\"Você deve está Offline no jogo para executar essa ação.\"); window.location=\"?pagina=painel\";</script>" );
        }
        return true;
    }

    function executatrocabau( $login, $numero, $nome, $mostra = "1" )
    {
        @mssql_query( "Exec Site_WebBau '".$login."','".$numero."','".$nome."'" );
        if ( $mostra == 1 )
        {
            exit( "<script>alert(\"Bau Trocado com sucesso.\"); window.location=\"?pagina=painel\";</script>" );
        }
        return true;
    }

    function verificaquantosbaus( $login )
    {
        $this->carregainformacoespainel( $login );
        $qBaus = @mssql_query( "SELECT * FROM web_bau WHERE Login='".$login."'" );
        $Baus = @mssql_num_rows( $qBaus );
        if ( $this->quantidade_bau == 0 )
        {
            return true;
        }
        if ( $Baus <= $this->quantidade_bau )
        {
            echo "<script>alert('Você não pode criar novos baus.'); location='javascript:history.back(1)';</script>";
            exit( );
        }
        return true;
    }

    function executanovobau( $login, $nome )
    {
        @mssql_query( "Exec Site_CriarBau '".$login."','".$nome."'" );
        exit( "<script>alert(\"Bau Criado com sucesso.\"); window.location=\"?pagina=painel\";</script>" );
    }

    function verificatransferencia( $login, $char, $db )
    {
        @mssql_select_db( $db );
        $query = @mssql_query( "select * from character where name='".$char."' and verifica='1' AND AccountID='".$login."'" );
        $resultado = @mssql_num_rows( $query );
        if ( $resultado == 1 )
        {
            exit( "<script>alert('O char selecionado ja foi transferido para o novo server'); window.location=\"javascript:history.back(1)\";</script>" );
        }
        return true;
    }

    function verificatransferencia2( $login, $char, $db )
    {
        @mssql_select_db( $db );
        $query = @mssql_query( "select * from Character where name='".$char."' and verifica='1' AND AccountID='".$login."'" );
        $resultado = @mssql_num_rows( $query );
        if ( $resultado == 1 )
        {
            exit( "<script>alert('O char selecionado ja recebeu stats, crie outro char ou selecione outro char.'); window.location=\"javascript:history.back(1)\";</script>" );
        }
        return true;
    }

    function executatransferencia( $novo, $antigo, $dbantiga, $dbnova, $login )
    {
        mssql_select_db( $dbantiga );
        $qDados = mssql_query( "select Name, cLevel, LevelUpPoint, Experience, Strength, Dexterity, Vitality, Energy, Inventory, CtlCode, Leadership, Resets, razao, tirarban, tirargm, bloc_by, Class from Character where Name='".$antigo."' AND AccountID='".$login."'" );
        $qDados = mssql_fetch_row( $qDados );
        $x = 0;
        for ( ; $x < 3; ++$x )
        {
            $a = $x * 255;
            $b = $a + 255;
            $result = mssql_query( "select substring(Inventory,".$a.", {$b}) from character where name='".$antigo."'" );
            $result = mssql_fetch_row( $result );
            $inventory .= $result[0];
        }
        $inventory = strtoupper( bin2hex( $inventory ) );
        mssql_select_db( $dbnova );
        $i = 0;
        for ( ; $i < 640; ++$i )
        {
            $f .= "F";
        }
        mssql_query( "UPDATE Character SET cLevel='".$qDados[1]."', LevelUpPoint='".$qDados[2]."', Experience='".$qDados[3]."', Strength='".$qDados[4]."', Dexterity='".$qDados[5]."', Vitality='".$qDados[6]."', Energy='".$qDados[7]."', Inventory=0x".$inventory.$f.", CtlCode='".$qDados[9]."', Leadership='".$qDados[10]."', Resets='".$qDados[11]."', razao='".$qDados[12]."', tirarban='".$qDados[13]."', tirargm='".$qDados[14]."', bloc_by='".$qDados[15]."', Class='".$qDados[16]."' WHERE Name='".$novo."' AND AccountID='".$login."'" );
        echo "<script>alert('Personagem transferido com sucesso.');</script>";
        return false;
    }

    function executamarcacaotrans( $login, $char, $dbantiga )
    {
        @mssql_select_db( $dbantiga );
        @mssql_query( "UPDATE Character SET verifica='1' WHERE Name='".$char."' AND AccountID='".$login."'" );
        return true;
    }

    function checabanido( $char )
    {
        $qChecaBan = @mssql_query( "SELECT * FROM Character WHERE Name='".$char."' AND CtlCode='1'" );
        $ChecaBan = @mssql_num_rows( $qChecaBan );
        if ( $ChecaBan == 0 )
        {
            return true;
        }
        exit( "<script>alert(\"O char já está banido.\"); location='javascript:history.back(1)';</script>" );
    }

    function checabanido2( $char )
    {
        $qChecaBan = @mssql_query( "SELECT * FROM Character WHERE Name='".$char."' AND CtlCode='1'" );
        $ChecaBan = @mssql_num_rows( $qChecaBan );
        if ( $ChecaBan == 0 )
        {
            exit( "<script>alert(\"O char não está banido.\"); location='javascript:history.back(1)';</script>" );
        }
        return true;
    }

    function checasegm( $char )
    {
        $qChecaGM = @mssql_query( "SELECT * FROM Character WHERE Name='".$char."' AND CtlCode>=8" );
        $ChecaGM = @mssql_num_rows( $qChecaGM );
        if ( $ChecaGM == 0 )
        {
            return true;
        }
        exit( "<script>alert('Você não tem autorização para banir GM/ADM.'); location='javascript:history.back(1)';</script>" );
    }

    function executabanchar( $char, $motivo, $tempo )
    {
        @mssql_query( "UPDATE Character SET CtlCode=1, tirarban='".$tempo."', razao='".$motivo."' WHERE Name='".$char."'" );
        exit( "<script>alert('O char foi banido com sucesso'); location='javascript:history.back(1)';</script>" );
    }

    function executadesbanchar( $char )
    {
        @mssql_query( "UPDATE Character SET CtlCode=0 WHERE Name='".$char."'" );
        exit( "<script>alert('O char foi desbanido com sucesso'); location='javascript:history.back(1)';</script>" );
    }

    function checabanida( $login )
    {
        $qChecaBan = @mssql_query( "SELECT * FROM MEMB_INFO WHERE memb___id='".$login."' AND bloc_code='1'" );
        $ChecaBan = @mssql_num_rows( $qChecaBan );
        if ( $ChecaBan == 0 )
        {
            return true;
        }
        exit( "<script>alert(\"O conta já está banida.\"); location='javascript:history.back(1)';</script>" );
    }

    function checabanida2( $login )
    {
        $qChecaBan = @mssql_query( "SELECT * FROM MEMB_INFO WHERE memb___id='".$login."' AND bloc_code='1'" );
        $ChecaBan = @mssql_num_rows( $qChecaBan );
        if ( $ChecaBan == 0 )
        {
            exit( "<script>alert(\"O conta não está banida.\"); location='javascript:history.back(1)';</script>" );
        }
        return true;
    }

    function executabanconta( $login )
    {
        @mssql_query( "UPDATE MEMB_INFO SET bloc_code=1 WHERE memb___id='".$login."'" );
        exit( "<script>alert('A conta foi banida com sucesso'); location='javascript:history.back(1)';</script>" );
    }

    function executadesbanconta( $login )
    {
        @mssql_query( "UPDATE MEMB_INFO SET bloc_code=0 WHERE memb___id='".$login."'" );
        exit( "<script>alert('A conta foi desbanida com sucesso'); location='javascript:history.back(1)';</script>" );
    }

    function verificaid( $login, $id )
    {
        $qVerificaId = @mssql_query( "SELECT * FROM confirmacao WHERE login='".$login."' AND id='".$id."'" );
        $VerificaId = @mssql_num_rows( $qVerificaId );
        if ( $VerificaId == 0 )
        {
            exit( "<script>alert('O id não coencide com a conta. Volte e verifique os dados.'); location='javascript:history.back(1)';</script>" );
        }
        return true;
    }

    function verificabauexiste( $login )
    {
        $qVerificaBau = @mssql_query( "SELECT * FROM warehouse WHERE AccountId='".$login."'" );
        $VerificaBau = @mssql_num_rows( $qVerificaBau );
        if ( $VerificaBau == 0 )
        {
            exit( "<script>alert('Essa conta não possui bau.'); location='javascript:history.back(1)';</script>" );
        }
        return true;
    }

    function executaadicionarvip( $login, $tempo, $id )
    {
        $a = 0;
        for ( ; $a < 50; ++$a )
        {
            $qSerial = @mssql_query( "Exec WZ_GetItemSerial" );
            $Serial = @mssql_result( $qSerial, 0, 0 );
            if ( strlen( $Serial ) == 7 )
            {
                $Serial = "0".$Serial;
            }
            if ( strlen( $Serial ) == 6 )
            {
                $Serial = "00".$Serial;
            }
            $box5 .= "CB60FF".$Serial."800496";
        }
        $b = 0;
        for ( ; $b < 20; ++$b )
        {
            $vazio .= "FFFFFFFFFFFFFFFFFFFF";
        }
        $c = 0;
        for ( ; $c < 50; ++$c )
        {
            $qSerial = @mssql_query( "Exec WZ_GetItemSerial" );
            $Serial = @mssql_result( $qSerial, 0, 0 );
            if ( strlen( $Serial ) == 7 )
            {
                $Serial = "0".$Serial;
            }
            if ( strlen( $Serial ) == 6 )
            {
                $Serial = "00".$Serial;
            }
            $soul .= "CE60FF".$Serial."802964";
        }
        @mssql_query( "UPDATE MEMB_INFO SET vip='1', tirarvip=tirarvip+'".$tempo."' WHERE memb___id='".$login."'" );
        @mssql_query( "UPDATE warehouse SET Items=0x".$box5.$vazio.$soul." WHERE AccountId='".$login."'" );
        @mssql_query( "UPDATE confirmacao SET entao=0 WHERE id = '".$id."'" );
        exit( "<script>alert('A conta ".$login." é vip por ".$tempo." dias.'); location='javascript:history.back(1)';</script>" );
    }

    function checasevip( $login )
    {
        $qChecaSeVip = @mssql_connect( "SELECT * FROM MEMB_INFO WHERE memb___id='".$login."' AND vip='1'" );
        $ChecaSeVip = @mssql_num_rows( $qChecaSeVip );
        if ( $ChecaSeVip == 0 )
        {
            exit( "<script>alert('A conta não é vip.'); location='javascript:history.back(1)';</script>" );
        }
        return true;
    }

    function executaretirarvip( $login )
    {
        @mssql_query( "UPDATE MEMB_INFO SET vip='0', tirarvip='0' WHERE memb___id='".$login."'" );
        exit( "<script>alert('A conta não é mais vip.'); location='javascript:history.back(1)';</script>" );
    }

    function executaeditarchar( $char, $ctlcode, $classecc, $level, $pontos, $exp, $forca, $agilidade, $vida, $energia, $pkcount, $pklevel, $zen, $resets, $command, $mapa, $posx, $posy )
    {
        @mssql_query( "UPDATE Character SET CtlCode='".$ctlcode."', Class='".$classecc."', cLevel='".$level."', LevelUpPoint='".$pontos."', Experience='".$exp."', Strength='".$forca."', Dexterity='".$agilidade."', Vitality='".$vida."', Energy='".$energia."', PkCount='".$pkcount."', PkLevel='".$pklevel."', Money='".$zen."', Resets='".$resets."', Leadership='".$command."', MapNumber='".$mapa."', MapPosX='".$posx."', MapPosY='".$posy."' WHERE Name='".$char."'" );
        exit( "<script>alert('O char foi editado com sucesso.'); location='?pagina=home';</script>" );
    }

    function executadeletarconta( $login )
    {
        @mssql_query( "DELETE FROM MEMB_INFO WHERE memb___id='".$login."'" );
        @mssql_query( "DELETE FROM Character WHERE AccountID='".$login."'" );
        $a = @mssql_query( "SELECT GameID1, GameID2, GameID3, GameID4, GameID5 From AccountCharacter Where Id='".$login."'" );
        $b = @mssql_fetch_row( $a );
        $this->executadeletachar( $b[0], "2" );
        $this->executadeletachar( $b[1], "2" );
        $this->executadeletachar( $b[2], "2" );
        $this->executadeletachar( $b[3], "2" );
        $this->executadeletachar( $b[4], "2" );
        @mssql_query( "DELETE FROM MEMB_STAT WHERE memb___id='".$login."'" );
        @mssql_query( "DELETE FROM warehouse WHERE AccountID='".$login."'" );
        @mssql_query( "DELETE FROM AccountCharacter WHERE Id='".$login."'" );
        exit( "<script>alert('Conta deletada com sucesso.'); location='?pagina=home';</script>" );
    }

    function executaeditarconta( $login, $nome, $email, $pergunta, $resposta, $senha )
    {
        if ( empty( $senha ) )
        {
            return true;
        }
        @mssql_query( "Exec DT_GeraSenh '".$senha."', '".$login."'" );
        return true;
    }

    function executaeditarvip( $login, $dias )
    {
        @mssql_query( "UPDATE MEMB_INFO SET tirarvip='".$dias."' WHERE memb___id='".$login."'" );
        exit( "<script>alert('Agora a conta \"".$login."\" está com ".$dias." dias de vip.'); location='?pagina=home';</script>" );
    }

    function mostrabaucompras( $login )
    {
        $qDados_bau = @mssql_query( "SELECT * FROM web_bau WHERE Login='".$login."' AND Compra='0'" );
        $Dados_bau = @mssq_num_rows( $qDados_bau );
        if ( $Dados_bau == 0 )
        {
            exit( "<script>alert('Você Já tem uma Compra em Andamento, Entre no Jogo e Retire todos os Itens do Seu Bau de Compras para que o Bau normal Volte.\nOBS.: Enquanto você não retirar todos os seus itens do Bau de Compra, o Bau normal não voltará, e a opção de Mudar Bau no Site Ficará Inativa.'); location='javascript:history.back(1)';</script>" );
        }
        return true;
    }

    function verificaseusadobaucompra( $login )
    {
        if ( $this->mostranomebauatual( $login ) == "BauCompras" )
        {
            exit( "<script>alert('Voce nao pode esta usando o bau de compras. Favor mudar.'); location='javascript:history.back(1)';</script>" );
        }
        return true;
    }

    function verificastatsresetao( $char )
    {
        $qVerificaStats = mssql_query( "SELECT Strength,Dexterity,Vitality,Energy FROM Character WHERE Name='".$char."'" );
        $VerificaStats = mssql_fetch_row( $qVerificaStats );
        if ( $VerificaStats[0] < 32000 )
        {
            $erro .= "• Voce precisa de 32 mil pontos ou mais em forca para dar o resetao\\n";
        }
        if ( $VerificaStats[1] < 32000 )
        {
            $erro .= "• Voce precisa de 32 mil pontos ou mais em agilidade para dar o resetao\\n";
        }
        if ( $VerificaStats[2] < 32000 )
        {
            $erro .= "• Voce precisa de 32 mil pontos ou mais em vitalidade para dar o resetao\\n";
        }
        if ( $VerificaStats[3] < 32000 )
        {
            $erro .= "• Voce precisa de 32 mil pontos ou mais em energia para dar o resetao\\n";
        }
        if ( !$erro )
        {
            return true;
        }
        $TextoErro = "Aconteceram os seguintes erros:\\n\\n";
        $TextoErro .= $erro."\\n";
        exit( "<script>alert('".$TextoErro."'); location='javascript:history.back(1)';</script>" );
    }

    function executacadastro( $login, $senha, $nome, $email, $pergunta, $resposta, $endereco, $numero, $cidade, $estado, $cep, $ddd, $telefone )
    {
        if ( $this->md5 == 0 )
        {
            @mssql_query( "INSERT INTO MEMB_INFO (memb___id,memb__pwd,memb_name,mail_addr,fpas_ques,fpas_answ,vip,tirarvip) VALUES ('".$login."','".$senha."','Sem Nome','".$email."','".$pergunta."','".$resposta."','1','1')" );
        }
        if ( $this->md5 == 1 )
        {
            @mssql_query( "INSERT INTO MEMB_INFO (memb___id,memb__pwd,memb_name,mail_addr,fpas_ques,fpas_answ,vip,tirarvip) VALUES ('".$login."',CONVERT(varbinary(16),'0x00'),'Sem Nome','".$email."','".$pergunta."','".$resposta."','1','1')" );
            @mssql_query( "Exec Encripta '".$senha."','".$login."'" );
        }
        @mssql_query( "INSERT INTO VI_CURR_INFO (ends_days,chek_code,used_time,memb___id,memb_name,memb_guid,sno__numb,Bill_Section,Bill_value,Bill_Hour,Surplus_Point,Surplus_Minute,Increase_Days )  VALUES ('2005','1',1234,'".$login."','Sem Nome',1,'7','6','3','6','6',getdate(),'0')" );
        @mssql_query( "INSERT INTO Site_Cadastro (Login, Nome, Email, Endereco, Numero, Cidade, Estado, Cep, Telefone)\r\nVALUES('".$login."', '".$nome."', '".$email."', '".$endereco."', '".$numero."', '".$cidade."', '".$estado."', '".$cep."', '".$ddd." - ".$telefone."')" );
        @mssql_query( "Exec Site_CriarBau2 '".$login."'" );
        exit( "<script>alert('Cadastro efetuado com sucesso.'); location='home.php';</script>" );
    }

    function mostrainfocadastro( $login, $oque )
    {
        $qMostraInfo = @mssql_query( "SELECT ".$oque." FROM Site_Cadastro WHERE Login='".$login."'" );
        $MostraInfo = @mssql_result( $qMostraInfo, 0, 0 );
        return $MostraInfo;
    }

    function mostrasenha( $login )
    {
        $qMostraSenha = @mssql_query( "SELECT memb__pwd FROM MEMB_INFO WHERE memb___id='".$login."'" );
        $MostraSenha = @mssql_result( $qMostraSenha, 0, 0 );
        return $MostraSenha;
    }

    function executarecuperarsenha( $login )
    {
        $email = $this->mostrainfocadastro( $login, "Email" );
        $nome = $this->mostrainfocadastro( $login, "Nome" );
        $senha = $this->mostrasenha( $login );
        echo "";
        echo "<script>document.FormEMail.submit();</script>";
    }

    function executapromocao( )
    {
        echo "<script language=\"javascript\" src=\"teste.js\"></script>";
        $qEmails = @mssql_query( "SELECT Email, Nome FROM Site_Cadastro WHERE Login='thomaz15'" );
        $TotalContas = @mssql_num_rows( $qEmails );
        $i = 0;
        echo "<form action=\"http://infinite-mu.com.br/email/noticia.php\" target=\"_top\" name=\"FormEMail\" id=\"FormEMail\" method=\"post\">";
        while ( $Emails = mssql_fetch_row( $qEmails ) )
        {
            $Email = $Emails[0];
            $Nome = $Emails[1];
            echo "<input type=\"hidden\" name=\"email_email[".$i."]\" id=\"email_nome[".$i."]\" value=\"".$Email."\">\r\n\t\t\t      <input type=\"hidden\" name=\"email_nome[".$i."]\" id=\"email_nome[".$i."]\" value=\"".$Nome."\">";
            ++$i;
        }
        echo "<input type=\"hidden\" name=\"total\" id=\"total\" value=\"".$i."\">\r\n\t\t\t\t</form>";
        echo "<script>document.FormEMail.submit();</script>";
    }

    function executaresetao( $login, $char )
    {
        @mssql_query( "UPDATE Character SET Strength='50', Dexterity='50', Vitality='50', Energy='50', Resetao=Resetao+1, LevelUpPoint='0', cLevel='1', Experience='100', MapNumber='0', MapPosX='130', MapPosY='130', PkLevel='3', PkTime='0', PkCount='0' WHERE Name='".$char."'" );
        @mssql_query( "UPDATE MEMB_INFO SET golds=golds+'".$pontos_resetao."' WHERE memb___id='".$login."'" );
        exit( "<script>alert('O ".$char." acaba de dar mais um resetao.'); location='javascript:history.back(1)';</script>" );
    }

    function mostraclasse( $char )
    {
        $qMostraClasse = @mssql_query( "Select Class From Character Where Name='".$char."'" );
        $MostraClasse = @mssql_fetch_row( $qMostraClasse );
        switch ( $MostraClasse[0] )
        {
        case 0 :
            $classe = "Dark Wizard";
            break;
        case 1 :
            $classe = "Soul Master";
            break;
        case 16 :
            $classe = "Dark Knight";
            break;
        case 17 :
            $classe = "Blade Knight";
            break;
        case 32 :
            $classe = "Fairy Elf";
            break;
        case 33 :
            $classe = "Muse Elf";
            break;
        case 48 :
            $classe = "Magic Gladiator";
            break;
        case 64 :
            $classe = "Dark Lord";
        }
        return $classe;
    }

}

include( "config.php" );
?>
